import { gql } from "apollo-boost";

export const QUERY_EMPLOYEES = gql`
  query QUERY_EMPLOYEES {
    employees {
      last_name
      id
      first_name
      employee_number
      active
      termination_date
      hire_date
      flat_rate
      cost_center
      base_rate
    }
  }
`;

export const INSERT_EMPLOYEES = gql`
  mutation INSERT_EMPLOYEES($employees: [employees_insert_input!]!) {
    insert_employees(objects: $employees) {
      returning {
        id
      }
    }
  }
`;

export const UPDATE_EMPLOYEE = gql`
  mutation UPDATE_EMPLOYEE($id: uuid!, $employee: employees_set_input) {
    update_employees(where: { id: { _eq: $id } }, _set: $employee) {
      returning {
        id
      }
    }
  }
`;

export const DELETE_EMPLOYEE = gql`
  mutation DELETE_EMPLOYEE($id: uuid!) {
    delete_employees(where: { id: { _eq: $id } }) {
      returning {
        id
      }
    }
  }
`;
